import { FieldInfo } from 'model-util-base';
import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, JoinTable } from 'model-util';
import { DevopsTaskLog } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-21 17:20
 */
interface DevopsTaskLogCU extends ConditionUtil<DevopsTaskLogCU> {
    ID: FieldUtil<DevopsTaskLogCU>;
    TASK_ID: FieldUtil<DevopsTaskLogCU>;
    RUN_TAG: FieldUtil<DevopsTaskLogCU>;
    RUN_RESULT: FieldUtil<DevopsTaskLogCU>;
    CONTENT: FieldUtil<DevopsTaskLogCU>;
    START_TIME: FieldUtil<DevopsTaskLogCU>;
    FINAL_TIME: FieldUtil<DevopsTaskLogCU>;
    OPERATOR_USER_ID: FieldUtil<DevopsTaskLogCU>;
    CREATE_USER_ID: FieldUtil<DevopsTaskLogCU>;
    UPDATE_USER_ID: FieldUtil<DevopsTaskLogCU>;
    CREATE_TIME: FieldUtil<DevopsTaskLogCU>;
    UPDATE_TIME: FieldUtil<DevopsTaskLogCU>;
}
declare class DevopsTaskLogMU extends TableUtilImpl<DevopsTaskLogCU, DevopsTaskLog> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: JoinTable[];
    subTables: any[];
    createConditionUtil(): DevopsTaskLogCU;
    static get ID(): FieldUtil<DevopsTaskLogCU>;
    static get TASK_ID(): FieldUtil<DevopsTaskLogCU>;
    static get RUN_TAG(): FieldUtil<DevopsTaskLogCU>;
    static get RUN_RESULT(): FieldUtil<DevopsTaskLogCU>;
    static get CONTENT(): FieldUtil<DevopsTaskLogCU>;
    static get START_TIME(): FieldUtil<DevopsTaskLogCU>;
    static get FINAL_TIME(): FieldUtil<DevopsTaskLogCU>;
    static get OPERATOR_USER_ID(): FieldUtil<DevopsTaskLogCU>;
    static get CREATE_USER_ID(): FieldUtil<DevopsTaskLogCU>;
    static get UPDATE_USER_ID(): FieldUtil<DevopsTaskLogCU>;
    static get CREATE_TIME(): FieldUtil<DevopsTaskLogCU>;
    static get UPDATE_TIME(): FieldUtil<DevopsTaskLogCU>;
    static get TASK_NAME(): FieldInfo;
    static get CREATE_USER_NAME(): FieldInfo;
    get ID(): FieldUtil<DevopsTaskLogCU>;
    get TASK_ID(): FieldUtil<DevopsTaskLogCU>;
    get RUN_TAG(): FieldUtil<DevopsTaskLogCU>;
    get RUN_RESULT(): FieldUtil<DevopsTaskLogCU>;
    get CONTENT(): FieldUtil<DevopsTaskLogCU>;
    get START_TIME(): FieldUtil<DevopsTaskLogCU>;
    get FINAL_TIME(): FieldUtil<DevopsTaskLogCU>;
    get OPERATOR_USER_ID(): FieldUtil<DevopsTaskLogCU>;
    get CREATE_USER_ID(): FieldUtil<DevopsTaskLogCU>;
    get UPDATE_USER_ID(): FieldUtil<DevopsTaskLogCU>;
    get CREATE_TIME(): FieldUtil<DevopsTaskLogCU>;
    get UPDATE_TIME(): FieldUtil<DevopsTaskLogCU>;
    get TASK_NAME(): FieldInfo;
    get CREATE_USER_NAME(): FieldInfo;
}
export { DevopsTaskLogMU, DevopsTaskLogCU };
